PortAudio 2.0

Macros | Functions
paex_read_write_wire.c File Reference
Example programs demonstrating PortAudio usage

Tests full duplex blocking I/O by passing input straight to output. More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "portaudio.h"`

Go to the source code of this file.

## Macros
#define | SAMPLE_RATE (44100)
#define | FRAMES_PER_BUFFER (512)
#define | NUM_SECONDS (10)
#define | DITHER_FLAG (0)
#define | PA_SAMPLE_TYPE paFloat32
#define | SAMPLE_SIZE (4)
#define | SAMPLE_SILENCE (0.0f)
#define | PRINTF_S_FORMAT "%.8f"

## Functions
int | main (void)

## Detailed Description

Tests full duplex blocking I/O by passing input straight to output.

Author
  Bjorn Roche. XO Audio LLC for Z-Systems Engineering.
  based on code by: Phil Burk http://www.softsynth.com
  based on code by: Ross Bencina rossb.nosp@m.@aud.nosp@m.iomul.nosp@m.ch.c.nosp@m.om

Definition in file paex_read_write_wire.c.

## Macro Definition Documentation

## ◆ DITHER_FLAG

#define DITHER_FLAG (0)

Definition at line 56 of file paex_read_write_wire.c.

## ◆ FRAMES_PER_BUFFER

#define FRAMES_PER_BUFFER (512)

Definition at line 53 of file paex_read_write_wire.c.

## ◆ NUM_SECONDS

#define NUM_SECONDS (10)

Definition at line 54 of file paex_read_write_wire.c.

## ◆ PA_SAMPLE_TYPE

#define PA_SAMPLE_TYPE paFloat32

Definition at line 60 of file paex_read_write_wire.c.

## ◆ PRINTF_S_FORMAT

#define PRINTF_S_FORMAT "%.8f"

Definition at line 63 of file paex_read_write_wire.c.

## ◆ SAMPLE_RATE

#define SAMPLE_RATE (44100)

Definition at line 52 of file paex_read_write_wire.c.

## ◆ SAMPLE_SILENCE

#define SAMPLE_SILENCE (0.0f)

Definition at line 62 of file paex_read_write_wire.c.

## ◆ SAMPLE_SIZE

#define SAMPLE_SIZE (4)

Definition at line 61 of file paex_read_write_wire.c.

## Function Documentation

## ◆ main()

int main | ( | void |  | ) |

Definition at line 88 of file paex_read_write_wire.c.